Loading...
Searching...
No Matches
XrdEc::IOError Class Reference

Generic I/O exception, wraps up XrdCl::XRootDStatus (. More...

`#include <XrdEcUtilities.hh>`

Inheritance diagram for XrdEc::IOError:
Collaboration diagram for XrdEc::IOError:

## Public Types

enum | { ioTooManyErrors }

## Public Member Functions

| IOError (const IOError &err) noexcept
| Copy constructor.
| IOError (const XrdCl::XRootDStatus &st) noexcept
virtual | ~IOError ()
| Destructor.
IOError & | operator= (const IOError &err) noexcept
| Assigment operator.
const XrdCl::XRootDStatus & | Status () const
virtual const char * | what () const noexcept
| overloaded

## Detailed Description

Generic I/O exception, wraps up XrdCl::XRootDStatus (.

See also
  XRootDStatus)

Definition at line 74 of file XrdEcUtilities.hh.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ioTooManyErrors |

Definition at line 127 of file XrdEcUtilities.hh.

{
ioTooManyErrors
};
XrdEc::IOError::ioTooManyErrors
@ ioTooManyErrors
Definition XrdEcUtilities.hh:129

## Constructor & Destructor Documentation

## IOError() [1/2]

XrdEc::IOError::IOError | ( | const XrdCl::XRootDStatus & | st | ) |

inline noexcept

Constructor

Parameters

  st | : status

Definition at line 83 of file XrdEcUtilities.hh.

: st( st ), msg( st.ToString() )
{
}

Referenced by IOError(), and operator=().

Here is the caller graph for this function:

## IOError() [2/2]

XrdEc::IOError::IOError | ( | const IOError & | err | ) |

inline noexcept

Copy constructor.

Definition at line 90 of file XrdEcUtilities.hh.

: st( err.st ), msg( err.st.ToString() )
{
}

References IOError().

Here is the call graph for this function:

## ~IOError()

virtual XrdEc::IOError::~IOError | ( |  | ) |

inline virtual

Destructor.

Definition at line 107 of file XrdEcUtilities.hh.

{
}

## Member Function Documentation

## operator=()

IOError & XrdEc::IOError::operator= | ( | const IOError & | err | ) |

inline noexcept

Assigment operator.

Definition at line 97 of file XrdEcUtilities.hh.

{
st = err.st;
msg = err.st.ToString();
return *this;
}

References IOError().

Here is the call graph for this function:

## Status()

const XrdCl::XRootDStatus & XrdEc::IOError::Status | ( |  | ) | const

inline

Returns
  : the status

Definition at line 122 of file XrdEcUtilities.hh.

{
return st;
}

## what()

virtual const char * XrdEc::IOError::what | ( |  | ) | const

inline virtual noexcept

overloaded

See also
  std::exception

Definition at line 114 of file XrdEcUtilities.hh.

{
return msg.c_str();
}

The documentation for this class was generated from the following file:

- XrdEcUtilities.hh